NNTSC(1)

NAME
nntsc - Collector for network time series measurements

SYNOPSIS
nntsc -C filename | --configfile filename [ -p port | --port port ] [ -P filename | --pidfile filename ] [ -b | --background ]

DESCRIPTION
Starts the NNTSC data collector, which will periodically collect measurements from the data sources described in the configuration file and store them into a postgresql database for subsequent analysis. NNTSC will simultaneously run a data exporter which clients can connect to and query for any data stored in the NNTSC database.

OPTIONS

-C filename
    read configuration from <filename>.

-p port
    the port number that the exporter should listen on for incoming client connections -- defaults to 61234.

-b  runs NNTSC as a daemon.

-P filename
    use <filename> as a PID file -- only used the -b option is set.

NOTES
Before running NNTSC, you need to have created and configured a database using build_nntsc_db(1). You must use the same configuration file to run NNTSC as you did to run build_nntsc_db(1). The configuration parameters are well documented in both the README and the example configuration file included with NNTSC. If run as a daemon, NNTSC writes error and log messages to a logfile (by default this is /var/log/nntsc/nntsc.log on Debian, else /tmp/nntsc.log), otherwise it will report them directly to standard error. NNTSC will open up a TCP port to allow clients to connect and query the database using a custom NNTSC protocol. You may wish to take steps to ensure only hosts that you want accessing your network measurement database can connect to the NNTSC host on that port.

SEE ALSO
build_nntsc_db(1)

AUTHORS
Shane Alcock <salcock@waikato.ac.nz>